Skip to main content
GET
/
api
/
notifications
/
events
List event log
curl --request GET \
  --url https://app.demand-iq.com/api/notifications/events \
  --cookie session=
{
  "events": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "eventType": "<string>",
      "aggregateType": "<string>",
      "aggregateId": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z",
      "payload": {}
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Query Parameters

eventType
string

Filter by event type

aggregateType
string
aggregateId
string
since
string<date-time>
until
string<date-time>
limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer
default:0

Response

Event log

events
object[]
pagination
object